首页 网络技术
  1. 正文

PhpStorm中怎么配置PHP语言的版本

问题描述

一般来说,PhpStorm 中默认的 PHP 语言的版本是 PHP 5.4 ,PhpStorm 会以该 PHP 版本对编辑器中的文件进行自动校验。

假如,我们在 PHP 文件中,使用了 PHP 7.0 的新特性(如 null 合并运算符 ??),那么,由于 PhpStorm 校验文件时无法识别该新特性,就会在对应位置显示一个警告标识(红色波浪线)。

虽然,这并不会对我们使用 PhpStorm 产生大的影响,但这种红色警示看着就是不爽。

解决方法

修改 PhpStorm 的配置,将 PHP 语言的版本调整为 PHP 7.0 。

点击菜单栏 File → Settings → Languages & Frameworks → PHP,将 PHP language level 下拉列表处的值修改为 7 ,点击 OK 保存即可。

PhpStorm 简介:

PhpStorm 是 JetBrains 公司开发的一款商业的 PHP 集成开发工具,旨在提高用户效率,可深刻理解用户的编码,提供智能代码补全,快速导航以及即时错误检查。PhpStorm可随时帮助用户对其编码进行调整,运行单元测试或者提供可视化debug功能 。

PhpStorm 是用Java编写的。用户可以通过安装为 PhpStorm 创建的插件或编写自己的插件来扩展 IDE。该软件还与 XDebug 等外部源通信。

WebStorm中可用的所有功能都包含在 PhpStorm 中,增加了对 PHP 和数据库的支持。WebStorm 附带预安装的 JavaScript 插件(例如Node.js)。

特点:

  • PhpStorm为 PHP提供了丰富的代码编辑器[9],具有语法高亮、扩展代码格式配置、即时错误检查和代码完成功能。

  • PHP 5.3, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2, 7.3, 7.4, 8.0 支持,包括generators、coroutines、 finally 关键字、 foreach 中的列表、对函数调用结果使用 empty() 和其他表达式、特征、闭包、实例化时的类成员访问、短数组语法、函数调用时的数组解引用、二进制文字、静态调用中的表达式,它支持返回类型和标量类型提示以及常量可见性等。它可以用于现代和遗留基于 PHP 的项目。

  • 代码自动完成最终确定类、方法、变量名称和 PHP 关键字,以及字段和变量的常用名称,具体取决于它们的类型。

  • 编码风格支持(PSR1/PSR2、Drupal、[10] Symfony、Zend)。

  • PHPDoc支持。IDE 提供基于@property、@method 和@var 注释的代码完成建议。

  • 重复代码检测器。

  • PHP 代码嗅探器 (phpcs),可即时检查代码异味。

  • 重构(重命名、引入变量、引入常量、引入字段、内联变量、移动静态成员、提取接口)。

  • Smarty和Twig模板编辑(语法错误突出显示;Smarty 函数和属性完成;自动插入成对的大括号、引号和结束标记;等等)。

  • Symfony和Yii 框架的MVC视图。

  • PHAR 支持。

本文标题:PhpStorm中怎么配置PHP语言的版本
本文链接:https://www.qqooo.cn/post/5160.html
版权说明:网站文章均来源于手工整理和网友投稿,若有不妥之处请来信 xsds@vip.qq.com 处理,谢谢!